Bug 1029683 - SELinux is preventing /opt/google/chrome/nacl_helper from 'lock' accesses on the chr_file /dev/pts/2.
SELinux is preventing /opt/google/chrome/nacl_helper from 'lock' accesses on ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:5815fd7881b8e5bb85befc81e42...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 17:20 EST by Mikhail
Modified: 2013-12-13 21:53 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-105.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2013-11-12 17:20:46 EST
Description of problem:
SELinux is preventing /opt/google/chrome/nacl_helper from 'lock' accesses on the chr_file /dev/pts/2.

*****  Plugin chrome (98.5 confidence) suggests   ****************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Chrome plugins.
Do
# setsebool -P unconfined_chrome_sandbox_transition 0

*****  Plugin catchall (2.46 confidence) suggests   **************************

If you believe that nacl_helper should be allowed lock access on the 2 chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep nacl_helper /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_devpts_t:s0
Target Objects                /dev/pts/2 [ chr_file ]
Source                        nacl_helper
Source Path                   /opt/google/chrome/nacl_helper
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           google-chrome-unstable-33.0.1707.0-1.i386
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-90.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.7-300.fc20.i686+PAE #1 SMP
                              Mon Nov 4 15:22:26 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-11-13 04:19:54 YEKT
Last Seen                     2013-11-13 04:19:54 YEKT
Local ID                      4f19c27b-b3a2-4583-9a07-5db3af8140cf

Raw Audit Messages
type=AVC msg=audit(1384294794.895:519): avc:  denied  { lock } for  pid=6021 comm="nacl_helper" path="/dev/pts/2" dev="devpts" ino=5 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_devpts_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1384294794.895:519): arch=i386 syscall=flock success=no exit=EACCES a0=1c a1=2 a2=b7788798 a3=b8545e70 items=0 ppid=5 pid=6021 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=pts2 comm=nacl_helper exe=/opt/google/chrome/nacl_helper subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)

Hash: nacl_helper,chrome_sandbox_t,user_devpts_t,chr_file,lock

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.7-300.fc20.i686+PAE
type:           libreport
Comment 1 Mikhail 2013-11-13 13:46:12 EST
Description of problem:
Launch in chrome game RAD Solders

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.7-300.fc20.x86_64+debug
type:           libreport
Comment 2 Daniel Walsh 2013-11-13 16:19:58 EST
46f8a9165b2950ec582c4c2c57062d596b2c70e3 fixes this in git. Need back port to RHEL6,RHEL7 and Fedora *
Comment 3 Lukas Vrabec 2013-11-18 03:50:20 EST
Back ported to f18,f19,f20
Comment 4 Fedora Update System 2013-11-27 03:14:39 EST
selinux-policy-3.12.1-105.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-105.fc20
Comment 5 Fedora Update System 2013-11-27 11:12:43 EST
Package selinux-policy-3.12.1-105.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-105.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22285/selinux-policy-3.12.1-105.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-12-13 21:53:29 EST
selinux-policy-3.12.1-105.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.